services:
    sylius_mollie.behat.context.ui.admin.managing_payment_method_mollie:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Admin\ManagingPaymentMethodContext
        public: true
        arguments:
            - "@sylius_mollie.behat.page.admin.payment_method.create"
            - "@sylius.behat.notification_checker.admin"
            - "%env(MOLLIE_TEST_API_KEY)%"
            - "%env(MOLLIE_PROFILE_KEY)%"

    sylius_mollie.behat.context.ui.shop.checkout:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Shop\CheckoutContext
        public: true
        arguments:
            - "@sylius_mollie.behat.page.shop.checkout.complete"
            - "@sylius.behat.notification_checker.shop"

    sylius_mollie.behat.context.ui.shop.product:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Shop\ProductContext
        public: true
        arguments:
            - "@sylius.repository.payment"

    sylius_mollie.behat.context.ui.admin.refund:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Admin\RefundContext
        public: true
        arguments:
            - "@sylius.behat.context.ui.admin.managing_orders"

    sylius_mollie.behat.context.ui.shop.account:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Shop\AccountContext
        public: true
        arguments:
            - "@sylius_mollie.behat.page.shop.account.order.index"
            - "@sylius.behat.notification_checker.shop"


    sylius_mollie.behat.context.ui.admin.order:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Admin\OrderContext
        public: true
        arguments:
            - "@sylius_mollie.behat.page.admin.order_index"
            - "@sylius.repository.payment"

    sylius_mollie.behat.context.ui.admin.managing_orders:
        class: Tests\Sylius\MolliePlugin\Behat\Context\Ui\Admin\ManagingOrdersContext
        public: true
        arguments:
            - "@sylius.behat.page.admin.order.index"
            - "@sylius.behat.page.admin.order.show"
